# Create a wallet

POST

/v1/wallet

Create a new wallet (collection of keys) with the given parameters.

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/kmd/#api_key)**

## Request Body

The list of MIME types the operation can consume: application/json

APIV1POSTWalletRequest is the request for `POST /v1/wallet`

object

**master_derivation_key**  
MasterDerivationKey is used to derive ed25519 keys for use in wallets  
Array<integer>

**wallet_driver_name**  
string

**wallet_name**  
string

**wallet_password**  
string

## Responses

### 200

Response to `POST /v1/wallet`

The list of MIME types the operation can produce: application/json

APIV1POSTWalletResponse is the response to `POST /v1/wallet`

object

**error**  
boolean

**message**  
string

**wallet**  
APIV1Wallet is the API’s representation of a wallet

object

**driver_name**  
string

**driver_version**  
integer format: uint32

**id**  
string

**mnemonic_ux**  
boolean

**name**  
string

**supported_txs**  
Array<string>
